![Project logo](https://github.com/urosjarc/jsdoc-plugin-testSpec/blob/develop/docs/media/header.png?raw=true)

<br>

[![npm release][npm]][npm-url]
[![Travis][travis]][travis-url]
[![Dependency Status][dep]][dep-url]
[![Codestyle badge][codestyle]][codestyle-url]
[![Join the chat][chat]][chat-url]

> JSDoc plugin which connects inline comments & mocha tests specs with docs elements.

[![Patreon User][support]][support-url]
[![Twitter User][twitter]][twitter-url]

[npm]: https://img.shields.io/npm/v/jsdoc-plugin-testspec.svg
[npm-url]: https://www.npmjs.com/package/jsdoc-plugin-testspec
[travis]: https://img.shields.io/travis/urosjarc/jsdoc-plugin-testSpec.svg
[travis-url]: https://travis-ci.org/urosjarc/jsdoc-plugin-testSpec
[codestyle]: https://img.shields.io/codacy/grade/27e38bb72bdc4476b2e87e9926df0485.svg
[codestyle-url]: https://www.codacy.com/app/urosjarc/jsdoc-plugin-testSpec
[dep]: https://img.shields.io/david/urosjarc/jsdoc-plugin-testSpec.svg
[dep-url]: https://david-dm.org/urosjarc/jsdoc-plugin-testSpec
[chat]: https://badges.gitter.im/Join%20Chat.svg
[chat-url]: https://gitter.im/urosjarc/jsdoc-plugin-testSpec?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge
[support]: https://img.shields.io/badge/patreon-urosjarc-green.svg?style=social
[support-url]: https://patreon.com/urosjarc/
[twitter]: https://img.shields.io/twitter/follow/urosjarc.svg?style=social&label=follow
[twitter-url]: https://twitter.com/intent/follow?screen_name=urosjarc

<br>

## Description

**JPST** (jsdoc-plugin-testSpec) is [jsdoc's](http://usejsdoc.org/)
plugin which connects inline comments & mocha tests specs with docs elements.
Lets see example of files and what is generated with this plugin.

### Source:

```javascript
let t;

/**
 * module:basic~testFunction
 */
function testFunction(){
	// Inline comment.
	// Inline another comment.
}

/**
 * @test module:basic~testFunction
 */
t = describe('<your description>', () => {
	it('first test specification');
	it('second test specification');
});
```

### Results:

![Plugin results](https://github.com/urosjarc/jsdoc-plugin-testSpec/blob/develop/docs/media/results.png?raw=true)

<br>

## Homepage
For more informations please visit projects official homepage.
> [https://urosjarc.github.io/jsdoc-plugin-testSpec](https://urosjarc.github.io/jsdoc-plugin-testSpec)

<br>

## License
Copyright © 2016 Uroš Jarc

MIT License